_lscp_midi_instrument_info_t Struct Reference

`#include <client.h>`

## Data Fields

char * | name
char * | engine_name
char * | instrument_file
int | instrument_nr
char * | instrument_name
lscp_load_mode_t | load_mode
float | volume

## Detailed Description

MIDI instrument info cache struct.

## Field Documentation

## engine_name

char* _lscp_midi_instrument_info_t::engine_name

Referenced by lscp_get_midi_instrument_info().

## instrument_file

char* _lscp_midi_instrument_info_t::instrument_file

Referenced by lscp_get_midi_instrument_info().

## instrument_name

char* _lscp_midi_instrument_info_t::instrument_name

Referenced by lscp_get_midi_instrument_info().

## instrument_nr

int _lscp_midi_instrument_info_t::instrument_nr

Referenced by lscp_get_midi_instrument_info().

## load_mode

lscp_load_mode_t _lscp_midi_instrument_info_t::load_mode

Referenced by lscp_get_midi_instrument_info().

## name

char* _lscp_midi_instrument_info_t::name

Referenced by lscp_get_midi_instrument_info().

## volume

float _lscp_midi_instrument_info_t::volume

Referenced by lscp_get_midi_instrument_info().

The documentation for this struct was generated from the following file:

- client.h